SXVOL-CREATE(1)

NAME
sxvol-create - create volumes on SX clusters

SYNOPSIS
sxvol create [OPTIONS] -r N -s SIZE -o username sx://[profile@]cluster/volume

DESCRIPTION
Create a remote volume with specific settings. Only cluster administrators can create volumes.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-r, --replica=NUMBER
    Set the replica count for the volume. This is a mandatory option and specifies how many times the data will be replicated on different nodes. For example, with replica count 2 the volume data will still be available when one of the nodes, which includes the volume data fails (because there's still another node with the copy of the data).

-o, --owner=NAME
    Set the owner of the volume. The owners can modify volume ACLs (see sxacl(1)) and other settings. This option is mandatory.

-s, --size=SIZE
    Set the size of the new volume. The size can be followed by one of the following suffixes: K(-ilobytes), M(-megabytes), G(-igabytes) and T(-erabytes) suffixes. This option is mandatory.

-f, --filter=NAME[="FILTER_OPTIONS"]
    Enable selected filter for the new volume. The filters can do some additional processing of the data (such as compression or encryption), see sxvol-filter(1) for more information.

--max-revisions=NUMBER
    Set the maximum number of revisions to keep for files in the volume. The revisions are other versions of the file stored when the file gets modified. The default value is 1, which means that only a single version of the file will be stored. See sxrev(1) for more information about revisions.

-D, --debug
    Enable debug messages

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-c, --filter-dir=PATH
    Path to the SX filter directory (default: /usr/lib/sxclient)

EXAMPLES
To create a 5GB volume 'data' with replica count 2, owned by 'joe', which uses the compression filter 'zcomp' run:
sxvol create -r 2 -o joe -s 5G -f zcomp sx://admin@cluster/data
To create an encrypted volume with replica 3 and default settings for 'admin' run:
sxvol create -r 3 -o admin -f aes256 sx://admin@cluster/encrypted

SEE ALSO
sxvol-filter(1), sxvol-modify(1), sxvol-remove(1)